<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://js.stripe.com/v3/"></script>
</head>
<body>
   
    <h3>Welcome to Payment Gateway</h3>
    <form action="stripe-pay" method="POST">
        <button id="Stripe"> Stripe </button>
       <script
          src="//checkout.stripe.com/v2/checkout.js"
          
          data-key="<%= key %>"
          data-amount="2500"
          data-currency="inr"
          data-name="Crafty Gourav"
          data-description="Handmade Art and Craft Products"
          data-locale="auto" >
        </script>
    </form>
</body>
<body>
    <button id="Razorpay"> Razorpay </button>
    <script class = "razorpay-button" src="https://checkout.razorpay.com/v1/checkout.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"> </script>
    <script>

        
var order
        $(document).ready(function () {
            
            var settings = {
                "url": "/user/create/order",
                "method": "POST",
                "timeout": 0,
                "headers": {
                    "Content-Type": "application/json"
                },
                

            };

            $.ajax(settings).done(function (response) {
                order = response.order;
                
               
                $("button").show();
            });
        });
        
        document.getElementById('Razorpay').onclick = function (e) {
            console.log(order)
            var options = {
                "key": "rzp_test_sjv7IgWV8brRZz",
                "amount": order.amount,
                "currency": "INR",
                "name": "E-Comm",
                "description": "Test Transaction",
                "order_id": order.id,
                "handler": function (response) {
                    alert(response.razorpay_payment_id);
                    alert(response.razorpay_order_id);
                    alert(response.razorpay_signature)
                    var settings = {
                        "url": "payment/verify",
                        "method": "POST",
                        "timeout": 0,
                        "headers": {
                            "Content-Type": "application/json"
                        },
                        "data": JSON.stringify({ response }),
                    }
                    $.ajax(settings).done(function (response) {
                        alert(JSON.stringify(response));
                    });
                },
                "theme": {
                    "color": "#3399CC"
                }
            };
            var rzp1 = new Razorpay(options);
            rzp1.on('payment.failed', function (response) {
                alert(response.error.code);
                alert(response.error.description);
                alert(response.error.source);
                alert(response.error.step);
                alert(response.error.reason);
                alert(response.error.metadata.order_id);
                alert(response.error.metadata.payment_id);
            });
            rzp1.open();
            e.preventDefault();
        }
    </script>
</body>

</html>